# Asterisk Project : Asterisk 12 Application_ChannelRedirect

Added by wikibot , edited by wikibot on Aug 29, 2013

# ChannelRedirect()

### Synopsis

Redirects given channel to a dialplan target

### Description

Sends the specified channel to the specified extension priority

This application sets the following channel variables upon completion

- `CHANNELREDIRECT_STATUS` - Are set to the result of the redirection
  - NOCHANNEL
  - SUCCESS

### Syntax

    ChannelRedirect(channel[,context[,extension,priority]])

##### Arguments

- `channel`
- `context`
- `extension`
- `priority`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown